package de.hsrm.jakartaee.knauf.stateless.standaloneclient;

import javax.naming.InitialContext;

import de.hsrm.jakartaee.knauf.stateless.GeometricModelRemote;

/**
 * Standalone Client application for accessing the GeometricModel
 * stateless session bean.
 * 
 * @author Wolfgang Knauf
 * 
 */
public class GeometricModelApplicationClient
{
  /**
   * Main method. Performs a EJB access and finishes
   * 
   * @param args Command line arguments.
   */
  public static void main(String[] args)
  {
    try
    {
      GeometricModelRemote geometricModel;

      //InitialContext befllt sich komplett aus "jndi.properties"
      InitialContext context = new InitialContext();

      //Lookup durchfhren:
      geometricModel = (GeometricModelRemote) context.lookup("Stateless/StatelessEJB//GeometricModelBean!de.hsrm.jakartaee.knauf.stateless.GeometricModelRemote");
      
      //EJB aufrufen:
      double dblVolume = geometricModel.computeCuboidVolume(10, 5, 7);
      double dblSurface = geometricModel.computeCuboidSurface(10, 5, 7);

      System.out.println("Calculated volume: " + dblVolume + ", surface: " + dblSurface);
    }
    catch (Exception ex)
    {
      ex.printStackTrace();
    }
  }
}
